Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 813839 - firewall-applet doesn't seem to work
Summary: firewall-applet doesn't seem to work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-18 14:47 UTC by Need Real Name
Modified: 2015-02-17 14:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:13:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Need Real Name 2012-04-18 14:47:55 UTC
Description of problem:
Several problems, numbered:

1. At start I get an error:
$ /usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject

2. I am able to run the applet more than once.

3. Clicking the applet does nothing

4. Wrong tray?

5. Right-clicking the applet and selecting "firewall zone settings" does nothing

Want separate bugs?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2012-04-20 18:41:21 UTC
1) This is a warning and does not affect functionality.
2) Yes, you can run it as often as you want to. This is common for most applets.
3) There is no left key menu. Only a right key menu and a tooltip.
4) I am sorry but I do not understand this.
5) Yes, this is a bug in the current applet. The entry in the menu should be insensitive, because firewall-config is not finished yet.

Comment 2 D.S. Ljungmark 2012-04-22 12:04:15 UTC
Some followup here:

 Is there a way to exit the applet from Gnome-shell?

I find no "close" function, I find no way to remove it.

Comment 3 Need Real Name 2012-04-22 12:24:26 UTC
(In reply to comment #1)
> 1) This is a warning and does not affect functionality.
> 2) Yes, you can run it as often as you want to. This is common for most
> applets.

What is the benefit to having multiple copies of the applet running?

The disadvantages are:
i) it's clustering my notification bar
ii) it's confusing

> 3) There is no left key menu. Only a right key menu and a tooltip.

I think icons in the notification bar are meant to disappear when you left-click them.

> 4) I am sorry but I do not understand this.

The firewall icon is in the notification bar, but it's not notifying me of anything. Should it be in the bar at the top of the screen?

> 5) Yes, this is a bug in the current applet. The entry in the menu should be
> insensitive, because firewall-config is not finished yet.

Would it be sensible to alert the user to this? At the moment we are meant to be testing things and having no response doesn't indicate to the user if this is a bug or it's intended behaviour.

Comment 4 Fedora End Of Life 2013-04-03 17:54:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 17:07:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 14:13:50 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.